%define anolis_release 3

Name:           libnl3
Version:        3.7.0 
Release:        %{anolis_release}%{?dist}
Summary:        Convenience library for kernel netlink sockets

%global version_path libnl%(echo %{version} | tr . _)

License:        LGPLv2
URL:            http://www.infradead.org/~tgr/libnl/
Source0:        https://github.com/thom311/libnl/releases/download/%{version_path}/libnl-%{version}.tar.gz
Source1:        https://github.com/thom311/libnl/releases/download/%{version_path}/libnl-doc-%{version}.tar.gz

BuildRequires:  autoconf automake bison flex libtool swig 
BuildRequires:  python3-rpm-macros

%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package cli
Summary: Command line interface utils for libnl3
Requires: %{name} = %{version}-%{release}

%description cli
This package contains various libnl3 utils and additional
libraries on which they depend


%package doc
Summary: API documentation for libnl3
Requires: %{name} = %{version}-%{release}

%description doc
This package contains libnl3 API documentation

%package -n python3-libnl3
Summary: libnl3 binding for Python 3
%{?python_provide:%python_provide python3-libnl3}
BuildRequires: python3-devel
BuildRequires: make
Requires: %{name} = %{version}-%{release}

%description -n python3-libnl3
Python 3 bindings for libnl3


%prep
%autosetup -n libnl-%{version}
tar -xzf %SOURCE1

%build
autoreconf -vif
%configure --disable-static
%make_build

pushd ./python/
CFLAGS="$RPM_OPT_FLAGS" %py3_build
CFLAGS="$RPM_OPT_FLAGS" %py3_build
popd

%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -print -delete
pushd ./python/
%py3_install
popd

%generate_compatibility_deps

%check
make check
pushd ./python/
%{__python3} setup.py check
popd

%ldconfig_scriptlets
%ldconfig_scriptlets cli

%files
%dir %{abidir}
%doc COPYING
%exclude %{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl-*.so.*
%exclude %{abidir}/libnl-cli*.dump
%{abidir}/libnl-*.dump
%config(noreplace) %{_sysconfdir}/*

%files devel
%doc COPYING
%{_includedir}/libnl3/netlink/
%dir %{_includedir}/libnl3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files cli
%doc COPYING
%{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl/
%{_bindir}/*
%{_mandir}/man8/*
%{abidir}/libnl-cli*.dump
%{abidir}/*-option.list

%files doc
%doc COPYING
%doc libnl-doc-%{version}/*.html
%doc libnl-doc-%{version}/*/*

%files -n python3-libnl3
%{python3_sitearch}/netlink
%{python3_sitearch}/netlink-*.egg-info
%{abidir}/_capi.cpython-%{python3_version_nodots}-%{_arch}-linux-gnu.dump

%changelog
* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 3.7.0-3
- Rebuild with python3.11

* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.7.0-2
- optimise spec file

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.7.0-1
- update to 3.7.0

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 3.5.0-1
- Init for Anolis OS 23 
